Last modified: 2014-02-05 17:50:44 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60083 - Installation of Mediawiki 1.22.1 fails with PostgreSQL at "Creating main page": sequence externallinks_el_id_seq is missing
Installation of Mediawiki 1.22.1 fails with PostgreSQL at "Creating main page...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.22.1
PC Linux
: High major (vote)
: 1.22.x release
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2014-01-15 13:10 UTC by gebhkla
Modified: 2014-02-05 17:50 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---
umherirrender_de.wp: Backport_to_Stable+


Attachments
Screenshot (71.99 KB, image/png)
2014-01-15 13:10 UTC, gebhkla
Details
Patch (1.25 KB, patch)
2014-01-15 14:46 UTC, gebhkla
Details

Description gebhkla 2014-01-15 13:10:13 UTC
Created attachment 14317 [details]
Screenshot

The installation on a PostgreSQL backend fails while creating the main page, because the sequence externallinks_el_id_seq is missing (see screenshot).
Comment 1 gebhkla 2014-01-15 14:46:00 UTC
Created attachment 14318 [details]
Patch

Patch for mediawiki 1.22.1 which solved the problem.
Comment 2 gebhkla 2014-01-15 14:51:53 UTC
In /maintenance/postgres/tables.sql the name of the sequence must be changed to externallinks_el_id_seq and the installation succeeds.
Comment 3 Andre Klapper 2014-01-15 16:47:03 UTC
Thanks for your patch & investigation!

You are welcome to use Developer access
  https://www.mediawiki.org/wiki/Developer_access
to submit this as a Git branch directly into Gerrit:
  https://www.mediawiki.org/wiki/Git/Tutorial

Putting your branch in Git makes it easier to review it quickly. 
If you don't want to set up Git/Gerrit, you can also use https://tools.wmflabs.org/gerrit-patch-uploader/
Thanks again! We appreciate your contribution.
Comment 4 Gerrit Notification Bot 2014-01-27 19:39:55 UTC
Change 109713 had a related patch set uploaded by Umherirrender:
Correct sequence name for fresh Postgres installation

https://gerrit.wikimedia.org/r/109713
Comment 5 Gerrit Notification Bot 2014-01-28 17:00:40 UTC
Change 109713 merged by jenkins-bot:
Correct sequence name for fresh Postgres installation

https://gerrit.wikimedia.org/r/109713
Comment 6 Umherirrender 2014-01-28 17:02:01 UTC
successfully merged
Comment 7 Gerrit Notification Bot 2014-02-03 08:29:24 UTC
Change 110922 had a related patch set uploaded by Nemo bis:
Correct sequence name for fresh Postgres installation

https://gerrit.wikimedia.org/r/110922
Comment 8 Gerrit Notification Bot 2014-02-03 11:11:45 UTC
Change 110922 abandoned by Siebrand:
Correct sequence name for fresh Postgres installation

https://gerrit.wikimedia.org/r/110922
Comment 9 Gerrit Notification Bot 2014-02-03 11:17:27 UTC
Change 110922 restored by Nemo bis:
Correct sequence name for fresh Postgres installation

Reason:
I don't see any such requirement in the backport policy, feel free to propose changes. <https://www.mediawiki.org/wiki/Backporting_fixes#Backports_to_stable.2Fsupported_release>
Gerrit is where the queue for non-rejected backport requests lives.

https://gerrit.wikimedia.org/r/110922
Comment 10 Gerrit Notification Bot 2014-02-03 16:08:42 UTC
Change 110922 abandoned by Nemo bis:
Correct sequence name for fresh Postgres installation

Reason:
Ok thanks, that's clear enough. I'm not interested in being involved in release notes merge conflicts.

https://gerrit.wikimedia.org/r/110922
Comment 11 Gerrit Notification Bot 2014-02-05 17:30:52 UTC
Change 110922 restored by MarkAHershberger:
Correct sequence name for fresh Postgres installation

Reason:
I will take care of notes.

https://gerrit.wikimedia.org/r/110922
Comment 12 Gerrit Notification Bot 2014-02-05 17:35:06 UTC
Change 110922 merged by jenkins-bot:
Correct sequence name for fresh Postgres installation

https://gerrit.wikimedia.org/r/110922
Comment 13 Umherirrender 2014-02-05 17:50:44 UTC
Now backported, will be part of release 1.22.3

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links